package arango_db

import (
	"context"
	"log"
	"net"
	"strconv"

	driver "github.com/arangodb/go-driver"
	"github.com/arangodb/go-driver/http"
)

type Connection struct {
	conn driver.Connection
	ctx  context.Context
}

func NewConnection(ctx context.Context, host string, port int) *Connection {
	connString := "http://" + net.JoinHostPort(host, strconv.Itoa(port))
	conn, err := http.NewConnection(http.ConnectionConfig{
		Endpoints: []string{connString},
	})

	//
	if err != nil {
		log.Fatal(err)
	}

	return &Connection{
		ctx:  ctx,
		conn: conn,
	}
}
